#!/usr/bin/env python

import indicate
import gobject
import gtk
import sys
import os
from time import time

dbusname = 0
desktopfile = 0
mainserver = 0

def desktop_cb(listener, server, value):
    global desktopfile
    if(value == "/usr/share/applications/thunderbird.desktop"):
        desktopfile = 1

def server_added(listener, server, typ):
    global dbusname
    global desktopfile
    if(dbusname == 0):
        dbusname = server.get_dbusname()
    listener.server_get_desktop(server, desktop_cb)
    if(dbusname != server.get_dbusname()) and (desktopfile == 1):
        mainserver.hide()
        gtk.main_quit()

def indicator_clicked(indicator):
    indicator.set_property("draw-attention", "false")
    os.system("thunderbird &")
    mainserver.hide()
    gtk.main_quit()

def timeout_cb(indicator):
    return True

def newIndicator(arg):
    indicator = indicate.Indicator()
    indicator.set_property("name", arg)
    indicator.set_property_time("time", time())
    indicator.set_property("draw-attention", "true")
    indicator.connect("user-display", indicator_clicked)
    indicator.show()
    gobject.timeout_add_seconds(10, timeout_cb, indicator)

if __name__ == "__main__":

    mainserver = indicate.indicate_server_ref_default()
    mainserver.set_type("message.im")
    mainserver.set_desktop_file("/usr/share/applications/thunderbird.desktop")
    
    i = 0;
    for arg in sys.argv:
        if(i==1):
            newIndicator(arg)
        else:
            i = 1;

    listener = indicate.indicate_listener_ref_default()
    listener.connect("server-added", server_added)

    gtk.main()
